Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002434TestLinkReportspublic2009-04-24 21:592010-05-01 20:28
Reporterda7489 
Assigned Toasimon 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.1 
Fixed in Version1.9 Beta 4 
Summary0002434: Problem with printing Requirement Specification for a child node
DescriptionWe've this heirarchy for writing requirement specs:
 - <Project>
    - <Verx.x.x>
      - <Module1>
        - <Feature1>
         - <Feature1.1>
          - <Feature1.2>
       - <Module2>
          - <Feature2>
          - <Feature2.1>
          - <Feature2.2>

Now when I print the requirements from the <Ver> level there are couple of problems that I see:
 1. There are no requirements printed at all which is weird. I was expecting
that it would print the whole tree structure. This might be due to the fact that Testlink treats all the requirements as separate but it'd be really neat to printout all the requirements. It will be great to add a button that says "Print All Requirements" under this parent.
 2. The print out did not display the name of the parent requirement against which the print out was taken. So in this case I was thinking that the print out will show atleast the <Ver> name but it did not and just displayed this:
  Scope
      ......
  Requirements
  None
I think it should print out the name of the parent and child requirements both.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserIE 7
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0002428acknowledged Create requirement spec printout word format 
child of 0003067closedasimon Generation of Requirement Specification Document 

-  Notes
(0006585)
fman (administrator)
2009-04-24 23:38

one important thing: req hierarchy is in embrional phase i.e. not all features work
(0006642)
da7489 (reporter)
2009-04-27 21:43

I also believe that once this issue is fixed, we will be able to create test cases for all the requirements by selecting the parent node at the <Ver> level.
(0006647)
fman (administrator)
2009-04-27 23:21

@da7489:
do not work in this way this issue has nothing to do with create test from requirements then you note here is out of place and will be not consider in a future implementation.
(0006648)
da7489 (reporter)
2009-04-27 23:24

Thx fman for pointing it. Please suggest if I should create a separate bug for the create test case.
(0008936)
da7489 (reporter)
2010-02-03 05:40

Can someone update if this bug will be fixed in the final version of 1.9?
My company is holding off deploying testlink until this bug is fixed.
(0008937)
Julian (reporter)
2010-02-03 19:47

please keep in mind: this is no bug!
this is a feature request.

if you want this feature feel free to contribute. right now it is not clear if this feature will be in 1.9. it is on our to do list anyway.

Please see 0003067 for further information.
(0009674)
asimon (developer)
2010-04-08 22:23

Resolved, see 3067.

- Issue History
Date Modified Username Field Change
2009-04-24 21:59 da7489 New Issue
2009-04-24 21:59 da7489 Browser => IE 7
2009-04-24 21:59 da7489 PHP Version => 5.2+
2009-04-24 23:38 fman Note Added: 0006585
2009-04-27 21:01 mhavlat Relationship added related to 0002428
2009-04-27 21:10 mhavlat Status new => acknowledged
2009-04-27 21:43 da7489 Note Added: 0006642
2009-04-27 23:21 fman Note Added: 0006647
2009-04-27 23:24 da7489 Note Added: 0006648
2010-02-03 05:40 da7489 Note Added: 0008936
2010-02-03 19:47 Julian Note Added: 0008937
2010-02-03 19:47 Julian Relationship added child of 0003067
2010-04-08 22:23 asimon Note Added: 0009674
2010-04-08 22:23 asimon PHP Version 5.2+ =>
2010-04-08 22:23 asimon Status acknowledged => resolved
2010-04-08 22:23 asimon Fixed in Version => 1.9 Beta 4 (Next public build)
2010-04-08 22:23 asimon Resolution open => fixed
2010-04-08 22:23 asimon Assigned To => asimon
2010-05-01 20:28 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker